Loading...
Searching...
No Matches
Opm::Group::GroupProductionProperties Struct Reference

## Public Member Functions

| GroupProductionProperties (const UnitSystem &unit_system, const std::string &gname)
bool | operator== (const GroupProductionProperties &other) const
bool | operator!= (const GroupProductionProperties &other) const
bool | updateUDQActive (const UDQConfig &udq_config, UDQActive &active) const
void | update_uda (const UDQConfig &udq_config, UDQActive &udq_active, UDAControl control, const UDAValue &value)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static GroupProductionProperties | serializationTestObject ()

## Public Attributes

std::string | name
ProductionCMode | cmode = ProductionCMode::NONE
GroupLimitAction | group_limit_action
UDAValue | oil_target
UDAValue | water_target
UDAValue | gas_target
UDAValue | liquid_target
double | guide_rate = 0
GuideRateProdTarget | guide_rate_def = GuideRateProdTarget::NO_GUIDE_RATE
UDAValue | resv_target
bool | available_group_control = true
int | production_controls = 0

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/Group/Group.hpp
- opm/input/eclipse/Schedule/Group/Group.cpp